summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTeteros2020-08-18 09:38:19 +0100
committerTeteros2020-08-18 09:38:19 +0100
commit33fbbd5d2d5e65762653dd0928e855b23cdbec31 (patch)
tree8c103a0ebb5c3b84c00b05ef2b86dacb557fc6cd
downloadaur-33fbbd5d2d5e65762653dd0928e855b23cdbec31.tar.gz
init package
-rw-r--r--.SRCINFO20
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD41
3 files changed, 65 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ba17d255f46
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = airwindows-git
+ pkgdesc = Airwindows plugins are modular, graphic-less, stripped-down, VST plugins for Mac and PC
+ pkgver = r130.0d16be1
+ pkgrel = 1
+ url = https://www.airwindows.com/
+ arch = x86_64
+ groups = vst-plugins
+ groups = pro-audio
+ license = MIT
+ makedepends = git
+ makedepends = cmake
+ makedepends = steinberg-vst36
+ provides = airwindows
+ source = git+https://github.com/airwindows/airwindows.git
+ source = https://raw.githubusercontent.com/magnetophon/airwindows/master/plugins/LinuxVST/include/vstsdk/CMakeLists.txt
+ sha256sums = SKIP
+ sha256sums = SKIP
+
+pkgname = airwindows-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..aabc5d3e254
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*.tar.*
+*.log
+pkg/
+src/
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bc3aa461433
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Teteros <teteros at teknik dot io>
+
+pkgname=airwindows-git
+pkgver=r130.0d16be1
+pkgrel=1
+pkgdesc="Airwindows plugins are modular, graphic-less, stripped-down, VST plugins for Mac and PC"
+arch=(x86_64)
+url="https://www.airwindows.com/"
+license=(MIT)
+groups=(vst-plugins pro-audio)
+makedepends=(git cmake steinberg-vst36)
+provides=("${pkgname%-*}")
+source=("git+https://github.com/${pkgname%-*}/${pkgname%-*}.git"
+ "https://raw.githubusercontent.com/magnetophon/airwindows/master/plugins/LinuxVST/include/vstsdk/CMakeLists.txt")
+sha256sums=('SKIP' 'SKIP')
+
+pkgver() {
+ cd "${pkgname%-*}"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+prepare() {
+ cd "${pkgname%-*}/plugins/LinuxVST"
+ # Fix cmake build, see:
+ # https://github.com/airwindows/airwindows/pull/5
+ rm -f build/CMakeCache.txt
+ mkdir -p include/vstsdk
+ cp "${srcdir}/CMakeLists.txt" include/vstsdk/CMakeLists.txt
+}
+
+build() {
+ cd "${pkgname%-*}/plugins/LinuxVST/build"
+ cmake -DVSTSDK_ROOT=/usr/include/vst36 ..
+ make || return 1
+}
+
+package() {
+ cd "${pkgname%-*}/plugins/LinuxVST/build"
+ mkdir -p "${pkgdir}/usr/lib/vst/${pkgname%-*}"
+ cp ./*.so "${pkgdir}/usr/lib/vst/${pkgname%-*}"
+}